Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8268 - apache %preun runs "/bin/rm -fr /var/log/httpd/*"!!!
Summary: apache %preun runs "/bin/rm -fr /var/log/httpd/*"!!!
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-07 17:55 UTC by Mads Kiilerich
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 02:30:39 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2000-01-07 17:55:05 UTC
From the .spec:

%preun
if [ $1 = 0 ];
then
   /etc/rc.d/init.d/httpd stop > /dev/null
2>&1
   /sbin/chkconfig --del
httpd
   /bin/rm -fr
/var/log/httpd/*
fi

Log-files are valueable data and must be handled with care - and especially
not removed!

Please _never_ do a "rm -f" on _anything_, especially not with -r or *!

The "no-new-rpms" fix: tell people to use --noscripts when
removing/upgrading.

The "new-rpms" fix is obvious.

Regards

Comment 1 Preston Brown 2000-01-13 02:30:59 UTC
changed for 6.2.

Comment 2 Mads Kiilerich 2000-01-13 16:15:59 UTC
OK, thx.

Will the preun script be run for those who chose to upgrade from 6.1 to 6.2?


Note You need to log in before you can comment on or make changes to this bug.